Bug 190133 - LED scripts contain wrong output redirect
Summary: LED scripts contain wrong output redirect
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-27 21:13 UTC by Tim Niemueller
Modified: 2015-03-05 01:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-28 21:00:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Niemueller 2006-04-27 21:13:39 UTC
Description of problem:
The 05led and 95led scripts contain wrong output redirects. Example:
echo "4 off" > /proc/acpi/ibm/led >/dev/null 2>&1

If you give echo test >/tmp/test1 >/tmp/test2 a try you will notice that the
output "test" will only appear in the second file, not in the first. This is the
same with the above redirect in the led scripts. "4 off" is being redirected to
/dev/null, but not to the /proc entry.

Version-Release number of selected component (if applicable):
pm-utils-0.15-1

How reproducible:
Always

Steps to Reproduce:
1. Send IBM notebook to sleep
2. LED for UltraBay remains on
3.
  
Actual results:
LED for UltraBay remains on

Expected results:
LED should be turned off

Additional info:
Can be fixed by removing >/dev/null from the command lines, also 2>&1 can be
removed as echo is guaranteed to not print to stderr (the source code explictly
reads "puts(.., stdout)".)

Comment 1 Peter Jones 2006-09-28 21:00:00 UTC
This is fixed in newer versions of the package.


Note You need to log in before you can comment on or make changes to this bug.